<div class="calificaciones-container">

  <h3 class="h3-style">Calificaciones recibidas</h3>

  <p-dataView #dv [value]="calificacionesUsuario" *ngIf="calificacionesUsuario.length > 0 else mensaje"
    [paginator]="true" [rows]="4">
    <ng-template let-calificaciones pTemplate="listItem">
      <div class="col-12" *ngFor="let calificacion of calificaciones">
        <div class="tarjetaCalificacion">
          <div class="datosUsuario">
            <figure>
              <img [src]="calificacion.FotoPerfil" alt="Foto de perfil">
            </figure>
            <div class="datos">
              <span class="nombre">{{calificacion.NombreUsuario}}</span>
              <span class="fecha">{{calificacion.FechaCalificacion}}</span>
            </div>
          </div>
          <p-rating [ngModel]="calificacion.Puntaje" [cancel]="false" [readonly]="true"></p-rating>
          <div class="comentario">
            <span>{{calificacion.ComentarioCalificacion}}</span>
          </div>
        </div>
      </div>
    </ng-template>
  </p-dataView>

  <ng-template #mensaje>
    <div class="flex flex-column align-items-center justify-content-center gap-4">
      <span class="text-2xl font-semibold uppercase">No tienes calificaciones aún.</span>
    </div>
  </ng-template>


</div>
